/* Outsource */

/* Login */


.login-body {
    height: auto;
}

.login-body .login-type {

    background: linear-gradient(-155deg, #da411f, #800000);
    background-position: center;
    background-size: cover;
    height: 480px;
    padding-top: 3em;
    position: relative;
    width: 100%;
    box-sizing: border-box;
    text-align: center;
}

.login-panel {
  width: 350px;
  min-height: 440px;
  text-align: center;
  margin: 0 auto 0 auto;
  z-index: 100;
  padding: 50px 20px;
}

.login-panel .p-grid {
    padding-top: 1.7rem;
}   
.login-panel .p-grid .p-col-12 {
  padding: 18px 40px;
}
.login-panel .p-grid .p-col-12 .p-button {
  margin-bottom: 20px;
}
.login-panel .p-button.p-button-text-icon-left {
  padding-left: 0.5em;
}
.login-panel .p-button .p-button-icon-left {
  vertical-align: sub;
}

.login-footer {
  position: absolute;
  bottom: 10px;
  font-size: 16px;
  width: 100%;
  text-align: center;
  color: #757575;
}


@media (max-width: 1024px) {
  /* .login-panel {
    text-align: center;
    min-height: 440px;
    margin: 100px auto 0 auto;
  } */
}
@media (max-width: 640px) {
  /* .login-panel {
    text-align: center;
    width: 300px;
    min-height: 440px;
    padding: 40px 20px;
    margin: 75px auto 0 auto;
  } */
  .login-panel .p-grid .p-col-12 {
    padding: 20px 20px;
  }
  .login-panel .p-grid .p-col-12 .p-button {
    margin-top: 30px;
  }
}




.login-body .md-inputfield {
  display: block;
  position: relative;
}
.login-body .md-inputfield > label {
  color: #999;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 1px;
  transition: 0.3s ease all;
  -moz-transition: 0.3s ease all;
  -webkit-transition: 0.3s ease all;
}
.login-body .md-inputfield input:focus ~ label,
.login-body .md-inputfield input.p-filled ~ label,
.login-body .md-inputfield .p-inputwrapper-focus ~ label,
.login-body .md-inputfield .p-inputwrapper-filled ~ label {
  top: -20px;
  font-size: 12px;
  color: #3F51B5;
}
.login-body .md-inputfield .input:-webkit-autofill ~ label {
  top: -20px;
  font-size: 12px;
  color: #3F51B5;
}
.login-body .md-inputfield input.ng-dirty.ng-invalid ~ label {
  color: #e62a10;
}
.login-body .md-inputfield .p-message.p-messages-error {
  background-color: transparent;
  border: 0 none;
  margin: 0px;
  color: #e62a10;
  font-size: 11px;
}
.login-body .md-inputfield.md-inputfield-fill input {
  background-color: #f7f7f7;
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 4px;
}
.login-body .md-inputfield.md-inputfield-fill label {
  top: 2px;
}
.login-body .md-inputfield.md-inputfield-box input {
  background-color: #f7f7f7;
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 24px;
}
.login-body .md-inputfield.md-inputfield-box label {
  top: 23px;
}
.login-body .md-inputfield.md-inputfield-box input:focus ~ label,
.login-body .md-inputfield.md-inputfield-box input.p-filled ~ label,
.login-body .md-inputfield.md-inputfield-box .p-inputwrapper-focus ~ label,
.login-body .md-inputfield.md-inputfield-box .p-inputwrapper-filled ~ label {
  top: 1px;
}
.login-body .md-inputfield.md-inputfield-box .input:-webkit-autofill ~ label {
  top: 1px;
}


.login-body .p-inputtext {
  background: transparent no-repeat;
  background-image: linear-gradient(to bottom, #3F51B5, #3F51B5), linear-gradient(to bottom, #bdbdbd, #bdbdbd);
  background-size: 0 2px, 100% 1px;
  background-position: 50% 100%, 50% 100%;
  transition: background-size 0.3s cubic-bezier(0.64, 0.09, 0.08, 1);
  border-width: 0;
  font-size: 1em;
  padding: 3px;
  -moz-border-radius: 0px;
  -webkit-border-radius: 0px;
  border-radius: 0px;
}
.login-body .p-inputtext:focus, .login-body .p-inputtext.p-focus {
  border-width: 0;
  background-size: 100% 2px, 100% 1px;
  padding-bottom: 2px;
  outline:0;
}
.login-body .p-inputtext:enabled:focus {
    box-shadow: none;
}
.login-body .p-inputtext:disabled {
  border-bottom: 1px dotted;
}
.login-body .p-inputtext.p-widget-content {
  border-width: 1px;
  background: transparent;
  background-image: none;
}
.login-body .p-inputtext.p-error {
  border-color: #e62a10;
  background-image: linear-gradient(to bottom, #e62a10, #e62a10), linear-gradient(to bottom, #e62a10, #e62a10);
}


.login-body .p-button {
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  overflow: hidden;
  background-color: #3F51B5;
  color: #ffffff;
  font-size: 1em;
  height: 2.143em;
  font-family: "Roboto", "Helvetica Neue", sans-serif;
  padding: 0 1em;
  border: 0 none;
  -moz-box-shadow: 0 1px 2.5px 0 rgba(0, 0, 0, 0.26), 0 1px 5px 0 rgba(0, 0, 0, 0.16);
  -webkit-box-shadow: 0 1px 2.5px 0 rgba(0, 0, 0, 0.26), 0 1px 5px 0 rgba(0, 0, 0, 0.16);
  box-shadow: 0 1px 2.5px 0 rgba(0, 0, 0, 0.26), 0 1px 5px 0 rgba(0, 0, 0, 0.16);
  -moz-transition: background-color 0.3s;
  -o-transition: background-color 0.3s;
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s;
}
.login-body .p-button:enabled:not(:focus):not(.p-dataview-header .p-highlight):hover {
  background-color: #283593;
}
.login-body .p-button:focus {
  outline: 0 none;
  background-color: #606fc7;
}
.login-body .p-button .p-button-text {
  padding: 0;
  line-height: 2.143em;
}
.login-body .p-button .pi {
  color: #ffffff;
}
.login-body .p-button.p-button-icon-only {
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  width: 2.143em;
  height: 2.143em;
}
.login-body .p-button.p-button-text-icon-left {
  padding-left: 2.571em;
}
.login-body .p-button.p-button-text-icon-right {
  padding-right: 2.571em;
}
.login-body .p-button.secondary-btn {
  background-color: #E91E63;
  color: #ffffff;
}
.login-body .p-button.secondary-btn:enabled:not(:focus):hover {
  background-color: #ad1457;
}
.login-body .p-button.secondary-btn:focus {
  outline: 0 none;
  background-color: #ee4c83;
}
.login-body .p-button.blue-grey-btn {
  background-color: #607D8B;
}
.login-body .p-button.blue-grey-btn:enabled:not(:focus):hover {
  background-color: #37474F;
}
.login-body .p-button.blue-grey-btn:focus {
  outline: 0 none;
  background-color: #7b96a3;
}
.login-body .p-button.cyan-btn {
  background-color: #00BCD4;
}
.login-body .p-button.cyan-btn:enabled:not(:focus):hover {
  background-color: #00838F;
}
.login-body .p-button.cyan-btn:focus {
  outline: 0 none;
  background-color: #08e3ff;
}
.login-body .p-button.teal-btn {
  background-color: #009688;
}
.login-body .p-button.teal-btn:enabled:not(:focus):hover {
  background-color: #00695C;
}
.login-body .p-button.teal-btn:focus {
  outline: 0 none;
  background-color: #00c9b6;
}
.login-body .p-button.red-btn {  
  background-color: #C62828; 
}
.login-body .p-button.red-btn:enabled:not(:focus):hover {
  background-color: #F44336;
}
.login-body .p-button.red-btn:focus {
  outline: 0 none;
  background-color: #f77066;
}
.login-body .p-button.green-btn {
  background-color: #4CAF50;
}
.login-body .p-button.green-btn:enabled:not(:focus):hover {
  background-color: #2E7D32;
}
.login-body .p-button.green-btn:focus {
  outline: 0 none;
  background-color: #6ec071;
}
.login-body .p-button.deep-orange-btn {
  background-color: #FF5722;
}
.login-body .p-button.deep-orange-btn:enabled:not(:focus):hover {
  background-color: #D84315;
}
.login-body .p-button.deep-orange-btn:focus {
  outline: 0 none;
  background-color: #ff7e55;
}
.login-body .p-button.purple-btn {
  background-color: #673AB7;
}
.login-body .p-button.purple-btn:enabled:not(:focus):hover {
  background-color: #4527A0;
}
.login-body .p-button.purple-btn:focus {
  outline: 0 none;
  background-color: #8259cb;
}
.login-body .p-button.pink-btn {
  background-color: #E91E63;
}
.login-body .p-button.pink-btn:enabled:not(:focus):hover {
  background-color: #AD1457;
}
.login-body .p-button.pink-btn:focus {
  outline: 0 none;
  background-color: #ee4c83;
}
.login-body .p-button.pink-btn:enabled:focus {
  box-shadow: none;
}

.login-body .p-button.amber-btn {
  background-color: #FFC107;
  color: #212121;
}
.login-body .p-button.amber-btn:enabled:not(:focus):hover {
  background-color: #FF8F00;
}
.login-body .p-button.amber-btn:focus {
  outline: 0 none;
  background-color: #ffce3a;
}
.login-body .p-button.orange-btn {
  background-color: #FF9800;
}
.login-body .p-button.orange-btn:enabled:not(:focus):hover {
  background-color: #EF6C00;
}
.login-body .p-button.orange-btn:focus {
  outline: 0 none;
  background-color: #ffad33;
}
.login-body .p-button.brown-btn {
  background-color: #795548;
}
.login-body .p-button.brown-btn:enabled:not(:focus):hover {
  background-color: #4E342E;
}
.login-body .p-button.brown-btn:focus {
  outline: 0 none;
  background-color: #996b5b;
}
.login-body .p-button.indigo-btn {
  background-color: #3F51B5;
}
.login-body .p-button.indigo-btn:enabled:not(:focus):hover {
  background-color: #283593;
}
.login-body .p-button.indigo-btn:focus {
  outline: 0 none;
  background-color: #606fc7;
}
.login-body .p-button.indigo-btn:enabled:focus {
  box-shadow: none;
}

.login-body .p-button.flat-btn {
  box-shadow: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}
.login-body .p-button.p-button-secondary, .login-body .p-buttonset.p-button-secondary > .p-button {
  color: #212121;
  background-color: #ffffff;
}
.login-body .p-button.p-button-secondary .p-button-icon-left, .login-body .p-buttonset.p-button-secondary > .p-button .p-button-icon-left {
  color: #757575;
}
.login-body .p-button.p-button-secondary .p-button-icon-right, .login-body .p-buttonset.p-button-secondary > .p-button .p-button-icon-right {
  color: #757575;
}
.login-body .p-button.p-button-secondary:enabled:hover, .login-body .p-buttonset.p-button-secondary > .p-button:enabled:hover {
  background-color: #e8e8e8;
  color: #000000;
}
.login-body .p-button.p-button-secondary:enabled:focus, .login-body .p-buttonset.p-button-secondary > .p-button:enabled:focus {
  background-color: #e6e6e6;
}
.login-body .p-button.p-button-info, .login-body .p-buttonset.p-button-info > .p-button {
  color: #ffffff;
  background-color: #03A9F4;
}
.login-body .p-button.p-button-info:enabled:hover, .login-body .p-buttonset.p-button-info > .p-button:enabled:hover {
  background-color: #0277BD;
}
.login-body .p-button.p-button-info:enabled:focus, .login-body .p-buttonset.p-button-info > .p-button:enabled:focus {
  outline: 0 none;
  background-color: #2ebcfc;
}
.login-body .p-button.p-button-success, .login-body .p-buttonset.p-button-success > .p-button {
  color: #ffffff;
  background-color: #4CAF50;
}
.login-body .p-button.p-button-success:enabled:hover, .login-body .p-buttonset.p-button-success > .p-button:enabled:hover {
  background-color: #2E7D32;
}
.login-body .p-button.p-button-success:enabled:focus, .login-body .p-buttonset.p-button-success > .p-button:enabled:focus {
  outline: 0 none;
  background-color: #6ec071;
}
.login-body .p-button.p-button-warning, .login-body .p-buttonset.p-button-warning > .p-button {
  color: #212121;
  background-color: #FFC107;
}
.login-body .p-button.p-button-warning:enabled:hover, .login-body .p-buttonset.p-button-warning > .p-button:enabled:hover {
  background-color: #FF8F00;
}
.login-body .p-button.p-button-warning:enabled:focus, .login-body .p-buttonset.p-button-warning > .p-button:enabled:focus {
  outline: 0 none;
  background-color: #ffce3a;
}
.login-body .p-button.p-button-danger, .login-body .p-buttonset.p-button-danger > .p-button {
  color: #ffffff;
  background-color: #F44336;
}
.login-body .p-button.p-button-danger:enabled:hover, .login-body .p-buttonset.p-button-danger > .p-button:enabled:hover {
  background-color: #C62828;
}
.login-body .p-button.p-button-danger:enabled:focus, .login-body .p-buttonset.p-button-danger > .p-button:enabled:focus {
  outline: 0 none;
  background-color: #f77066;
}
.login-body .p-buttonset .p-button {
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
}
.login-body .p-buttonset .p-button:first-child {
  -moz-border-radius-topleft: 3px;
  -webkit-border-top-left-radius: 3px;
  border-top-left-radius: 3px;
  -moz-border-radius-bottomleft: 3px;
  -webkit-border-bottom-left-radius: 3px;
  border-bottom-left-radius: 3px;
}
.login-body .p-buttonset .p-button:last-child {
  -moz-border-radius-topright: 3px;
  -webkit-border-top-right-radius: 3px;
  border-top-right-radius: 3px;
  -moz-border-radius-bottomright: 3px;
  -webkit-border-bottom-right-radius: 3px;
  border-bottom-right-radius: 3px;
}
.login-body .p-buttonset .p-button:not(.p-disabled):not(.p-highlight):hover {
  background-color: #283593;
}
.login-body .p-buttonset .p-button.p-highlight {
  background-color: #E91E63;
  color: #ffffff;
}
.login-body .p-togglebutton:not(.p-highlight):not(.p-disabled):hover {
  background-color: #283593;
}
.login-body .p-togglebutton.p-highlight {
  background-color: #E91E63;
  color: #ffffff;
}

.login-body .p-button.p-button-text-icon-left .p-button-text {
    padding: 0;
}

.login-panel .p-grid .p-col-12.signin-div{
  padding: 18px 40px 10px  40px;
}
.login-panel .p-grid .p-col-12.fotget-div{
  padding: 0px 40px 10px  40px;
}
